package task

import (
"github.com/gin-gonic/gin"
v1 "log-server/api/v1"
	"log-server/middleware"
)

type CentralControlRouter struct {

}

func (r *CentralControlRouter) InitCentralControlRouter(Router *gin.RouterGroup) {
	GameTaskRouter := Router.Group("gameTask")
	centralControlConfApi := v1.ApiGroupApp.GroupTask.CentralControlApi
	{
		GameTaskRouter.POST("getCentralControlConfList", centralControlConfApi.GetCentralControlConfList)  //获取配置列表
		GameTaskRouter.POST("getCentralControlConfById", centralControlConfApi.GetCentralControlConfById)  //通过id获取单个配置

	}

	centralControlConfApi1 := Router.Group("gameTask").Use(middleware.OperationRecord())
	{
		centralControlConfApi1.POST("createCentralControlConf", centralControlConfApi.CreateCentralControlConf)   //创建中控配置
		centralControlConfApi1.POST("deleteCentralControlConf", centralControlConfApi.DeleteCentralControlConf)   //单个删除中控配置
		centralControlConfApi1.DELETE("deleteCentralControlConfByIds", centralControlConfApi.DeleteCentralControlConfByIds)   //批量删除中控配置
		centralControlConfApi1.POST("updateCentralControlConf", centralControlConfApi.UpdateCentralControlConf)   //更新中控配置
	}
}